#if !COMBAT_SERVER


using UnityEngine.Playables;
using UnityEngine.Timeline;
#endif
using UTool.CustomizeTimeLogic.FxLogic.TimeLineEventLogic;

[System.Serializable]
public class TimeLineSkillStartSerializtion : TimeLineAssetSerialization
{
    public TimeLineSkillStartSerializtion()
    {
    }
#if !COMBAT_SERVER

    public TimeLineSkillStartSerializtion(PlayableDirector playableDirector, GroupTrack groupTrack,
        TimelineClip timelineClip) : base(groupTrack, timelineClip)
    {
    }
#endif
    public override TimeLineEventLogicBasic CreateLogic()
    {
        return new TimeLineSkillStartEventLogic();
    }
}